<nav class="navbar navbar-expand navbar-dark bg-dark">
  <a routerLink="" class="navbar-brand">Chat</a>

  <ul class="navbar-nav ml-auto" *ngIf="!isLoggedIn">
    <li class="nav-item">
      <a routerLink="register" class="nav-link">Sign Up</a>
    </li>
    <li class="nav-item">
      <a routerLink="login" class="nav-link">Login</a>
    </li>
  </ul>

  <ul class="navbar-nav ml-auto" *ngIf="isLoggedIn">
    <li class="nav-item">
      <a class="nav-link">{{
        username
      }}</a>
    </li>
    <li class="nav-item">
      <a href class="nav-link" (click)="logOut()">LogOut</a>
    </li>
  </ul>
</nav>
